<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.xxfc.platform.order.mapper.OrderTourDetailMapper">

	<!-- 可根据自己的需求，是否要使用 -->
    <resultMap type="com.xxfc.platform.order.entity.OrderTourDetail" id="orderTourDetailMap">
        <result property="id" column="id"/>
        <result property="orderId" column="order_id"/>
        <result property="name" column="name"/>
        <result property="crtTime" column="crt_time"/>
        <result property="updTime" column="upd_time"/>
        <result property="startTime" column="start_time"/>
        <result property="endTime" column="end_time"/>
        <result property="dayNum" column="day_num"/>
        <result property="startAddr" column="start_addr"/>
        <result property="endAddr" column="end_addr"/>
        <result property="startCity" column="start_city"/>
        <result property="endCity" column="end_city"/>
        <result property="startCityName" column="start_city_name"/>
        <result property="endCityName" column="end_city_name"/>
        <result property="myUserIds" column="my_user_ids"/>
        <result property="startCompanyId" column="start_company_id"/>
        <result property="costDetail" column="cost_detail"/>
    </resultMap>

    <select id="oneByOrderId" parameterType="Integer" resultType="map">
        select *
        from order_tour_detail
        where order_id = #{orderId} limit 1 offset 0;
    </select>

</mapper>